Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1512334 - podofopdfinfo produces Error: 19 ePdfError_InvalidDataType
Summary: podofopdfinfo produces Error: 19 ePdfError_InvalidDataType
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: podofo
Version: 25
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-12 22:21 UTC by Alex Regan
Modified: 2017-12-12 10:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:04:30 UTC


Attachments (Terms of Use)
PDF exhibiting the error (deleted)
2017-11-12 22:21 UTC, Alex Regan
no flags Details

Description Alex Regan 2017-11-12 22:21:03 UTC
Created attachment 1351339 [details]
PDF exhibiting the error

Description of problem:
On occasion, podofopdfinfo produces "Error: 19 ePdfError_InvalidDataType" but acrobat and other readers have no such error.

Version-Release number of selected component (if applicable):
podofo-0.9.1-18.fc24.x86_64 (latest on fc25)

How reproducible:
occasionally

Steps to Reproduce:
1. podofopdfinfo analytics.pdf
2.
3.

Actual results:
Error: An error 19 ocurred during uncompressing the pdf file.


PoDoFo encounter an error. Error: 19 ePdfError_InvalidDataType
        Callstack:
        #0 Error Source: /builddir/build/BUILD/podofo-0.9.1/podofo/base/../../src/base/PdfVariant.h:836


Expected results:
Should not produce an error

Additional info:
The latest upstream is 0.9.5, feb17. The version shipped with fc25 was released six years ago.

Comment 1 Sandro Mani 2017-11-13 12:05:53 UTC
Do you have a chance to try with 0.9.5 from F26+? F25 will be EOL very soon.

Comment 2 Fedora End Of Life 2017-11-16 19:01:24 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:04:30 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.